Embedded message: failed decrypting Caused by: error setting asymmetric cipher Caused by: Illegal key size or default parameters

Document created by Nikita_nandakumar on Feb 10, 2014Last modified by chris_stevens on Aug 22, 2016
Version 2Show Document
  • View in full screen mode

Cause:

This error usually occurs while performing a PGP encryption/decryption.

Solution:

  1. Verify the java version installed on the atom.You could also check in a command prompt window using  java -version command to confirm the version is supported by the atom.  Current Java version 7 and version 8 are supported.
  2. Turn on the JCE (security policy files) for the atom.The following link describes how to install it: Installing JCE Unlimited Strength Jurisdiction policy files 
1 person found this helpful

Attachments

    Outcomes